<p align="center">
  <img width="200px" src="https://raw.githubusercontent.com/tjtanjin/react-chatbotify/main/assets/logo.png" />
  <h1 align="center">React ChatBotify</h1>
</p>

<p align="center">
  <a href="https://github.com/tjtanjin/react-chatbotify/actions/workflows/ci-cd-pipeline.yml"> <img src="https://github.com/tjtanjin/react-chatbotify/actions/workflows/ci-cd-pipeline.yml/badge.svg" /> </a>
  <a href="https://www.npmjs.com/package/react-chatbotify"> <img src="https://img.shields.io/npm/v/react-chatbotify?logo=semver&label=version&color=%2331c854" /> </a>
  <a href="https://www.npmjs.com/package/react-chatbotify"> <img src="https://img.shields.io/badge/react-16--19-orange?logo=react&label=react" /> </a>
  <a href="https://www.npmjs.com/package/react-chatbotify"> <img src="https://img.shields.io/npm/d18m/react-chatbotify?logo=npm&label=npm%20downloads&color=%232281c2" /> </a>
  <a href="https://discord.gg/6R4DK4G5Zh"> <img src="https://img.shields.io/endpoint?url=https://my-api.tjtanjin.com/aggregator/api/v1/get/rcb_discord_member_count&logo=discord&logoColor=ffffff" /> </a>

</p>

## Table of Contents
* [Introduction](#introduction)
* [Features](#features)
* [Technologies](#technologies)
* [Quickstart](#quickstart)
* [Documentation](#documentation)
* [Team](#team)
* [Contributing](#contributing)
* [Support](#support)
* [Attributions](#attributions)

### Introduction

<p align="center">
  <img height="400px" src="https://github.com/user-attachments/assets/6153cd2e-dc21-4c8a-8d91-388fc01d974b" />
</p>

Welcome to [**React ChatBotify**](https://react-chatbotify.com), an intuitive and versatile library that allows you to build responsive chatbots with ease. Whether you're aiming to create a [**simple FAQ bot**](https://tjtanjin.medium.com/building-a-faq-bot-a-react-chatbotify-guide-part-3-7ce13d09933e) or a sophisticated conversational interface [**integrated with Large Language Models (LLMs)**](https://tjtanjin.medium.com/how-to-build-and-integrate-a-react-chatbot-with-llms-a-react-chatbotify-guide-part-4-b40cd59fd6e6) such as [**OpenAI**](https://react-chatbotify.com/docs/examples/openai_integration) or [**Google Gemini**](https://react-chatbotify.com/docs/examples/gemini_integration), React ChatBotify provides the tools and flexibility you need to bring your vision to life.

Designed with developers in mind, React ChatBotify simplifies the chatbot development process without compromising on functionality. Its intuitive API and comprehensive customization options allow you to tailor your chatbot to meet specific project requirements seamlessly. From handling basic interactions to managing complex and advanced conversational flows, our library empowers you to deliver engaging user experiences. Head over to our [**community showcases**](https://github.com/tjtanjin/react-chatbotify/blob/main/SHOWCASES.md) or join [**our discord**](https://discord.gg/6R4DK4G5Zh) to get inspired and start crafting your chatbot today!

React ChatBotify is currently compatible with **React versions 16, 17, 18, and 19**. Get started by installing the library with the following command:

`npm install react-chatbotify --save`

Note that this repository contains the code for the **core library**. If you're looking for the repositories of other React ChatBotify projects, you may look [**here**](#other-associated-projects).

### Features

React ChatBotify is packed with a comprehensive set of features designed to elevate your chatbot development experience. Explore some of its standout capabilities:

- **Themes:** Customize the chatbot's appearance with a wide variety of community themes, or combine multiple themes to achieve your desired look and feel.
- **Plugins:** Extend your chatbot's functionality with numerous custom plugins (e.g. [LLM Connector](https://www.npmjs.com/package/@rcb-plugins/llm-connector)), or create your own to meet specific needs.
- **Dynamic Outputs:** Craft interactive conversations by dynamically generating messages and defining multiple dialogue paths based on user inputs.
- **Custom Components:** Easily integrate your own custom components into the chatbot interface to boast your application's unique design and functionality.
- **Stream Responses:** Connect with Large Language Models (LLMs) and custom endpoints to stream/simulate bot responses, enhancing user engagement and experience.
- **Timeouts and Auto-Transitions:** Configure timeouts and automate transitions between conversation paths to guide users seamlessly through their interactions.
- **Voice Input & Audio Output:** Empower users to interact using voice commands and receive spoken responses, adding a hands-free dimension to your chatbot.
- **Chat Notifications:** Keep users informed with real-time notifications, ensuring they stay updated with the latest messages and interactions.
- **Checkbox & Options Support:** Incorporate checkboxes and selectable options within the chat interface, enabling users to make choices effortlessly.
- **Emoji Picker:** Allow users to express their personalities and emotions in conversations by incorporating emojis, enhancing user engagement.
- **File Attachments:** Facilitate the exchange of documents, images, and other files within the chat, allowing users to upload content seamlessly.
- **Sensitive Input:** Protect user privacy by masking sensitive information inputted into the chatbot, ensuring confidentiality.
- **Mobile-Friendly Interface:** Deliver a smooth and responsive user experience across all devices with our optimized mobile-friendly design.
- **Custom Events:** Utilize custom events emitted by the chatbot to trigger application-specific logic, enhancing integration and interactivity.
- **Custom Hooks:** Leverage the provided custom hooks to interact with the chatbot from your own components, streamlining integration and functionality.

These features, **along with many others**, empower developers to create highly interactive and personalized chatbot experiences tailored to their specific application requirements.

### Technologies
Technologies used by React ChatBotify are as below:
#### Done with:

<p align="center">
  <img height="150" width="150" src="https://upload.wikimedia.org/wikipedia/commons/thumb/a/a7/React-icon.svg/2300px-React-icon.svg.png" />
</p>
<p align="center">
ReactJS
</p>
<p align="center">
  <img height="150" width="150" src="https://upload.wikimedia.org/wikipedia/commons/thumb/4/4c/Typescript_logo_2020.svg/2048px-Typescript_logo_2020.svg.png" />
</p>
<p align="center">
Typescript
</p>

#### Project Repository
- https://github.com/tjtanjin/react-chatbotify

#### Other Associated Projects
- [**Official Plugins**](https://github.com/React-ChatBotify-Plugins)
- [**Documentation Website**](https://github.com/tjtanjin/react-chatbotify-docs)
- [**Hosted Themes**](https://github.com/tjtanjin/react-chatbotify-themes)
- [**Gallery Website**](https://github.com/React-ChatBotify/gallery-website)
- [**Gallery API**](https://github.com/React-ChatBotify/gallery-api)

### Quickstart
For a thorough walkthrough on getting started, you may refer to the [**Quickstart Guide**](https://react-chatbotify.com/docs/introduction/quickstart/) on the [**Documentation Website**](https://react-chatbotify.com/).

### Documentation
A full documentation (along with a [**live playground**](https://react-chatbotify.com/playground/)) for the library can be found at the following link:

- https://react-chatbotify.com/

[**Examples**](https://react-chatbotify.com/docs/examples/basic_form/) on the website are also run on a live editor so feel free to explore to your heart's content!

### Team
* [Tan Jin](https://github.com/tjtanjin)

### Contributing
If you are looking to contribute, please refer to the [**Contributing Guide**](https://github.com/tjtanjin/react-chatbotify/blob/main/CONTRIBUTING.md). A special section has also been added for [**Hacktoberfest**](https://hacktoberfest.com/) participants!

### Support
If there are any questions pertaining to the application itself (usage or implementation wise), you may create an [**issue**](https://github.com/tjtanjin/react-chatbotify/issues), reach out on [**discord**](https://discord.gg/6R4DK4G5Zh), or drop me an email at: **cjtanjin@gmail.com**.

### Attributions
#### Images
Credits are to be given for the following images:
- [Logo](https://www.craiyon.com/)
- [Bot Avatar (v1)](https://www.craiyon.com/)
- [Buttons](https://fonts.google.com/)

Note: Some buttons are hand-drawn.

#### Sound
Credits are to be given for the notification sound:
- [Notification Sound](https://pixabay.com/sound-effects/notifications-sound-127856/)

#### Inspirations
As I have used similar alternatives at some point in my developer journey, some inspirations have been taken from them and they ought to be credited here:
- [Tidio](https://www.tidio.com/)
- [React Simple Chatbot](https://github.com/LucasBassetti/react-simple-chatbot)
