import { ButtonConfig } from "../types/internal/ButtonConfig";
import { Settings } from "../types/Settings";
/**
 * Retrieves the button configurations for header, chat input and footer then builds the buttons.
 * @param settings options provided to the bot to determine buttons shown
 * @param buttonComponentMap a mapping between default buttons and their components
 */
export declare const getButtonConfig: (settings: Settings, buttonComponentMap: {
    [x: string]: () => JSX.Element;
}) => ButtonConfig;
export declare const createAudioButton: () => import("react/jsx-runtime").JSX.Element;
export declare const createNotificationButton: () => import("react/jsx-runtime").JSX.Element;
export declare const createCloseChatButton: () => import("react/jsx-runtime").JSX.Element;
export declare const createVoiceButton: () => import("react/jsx-runtime").JSX.Element;
export declare const createSendButton: () => import("react/jsx-runtime").JSX.Element;
export declare const createFileAttachmentButton: () => import("react/jsx-runtime").JSX.Element;
export declare const createEmojiButton: () => import("react/jsx-runtime").JSX.Element;
//# sourceMappingURL=buttonBuilder.d.ts.map